Skip site navigation (1) Skip section navigation (2)

pgsql: Update 8.1 and 8.0 plpython to work with Python 2.5.

From: tgl(at)postgresql(dot)org (Tom Lane)
To: pgsql-committers(at)postgresql(dot)org
Subject: pgsql: Update 8.1 and 8.0 plpython to work with Python 2.5.
Date: 2008-07-28 18:45:18
Message-ID: 20080728184518.44E22754A86@cvs.postgresql.org (view raw or flat)
Thread:
Lists: pgsql-committers
Log Message:
-----------
Update 8.1 and 8.0 plpython to work with Python 2.5.  This backports several
fixes made during the 8.2 development cycle, but not backported at the time
for lack of confidence in the new coding.

I didn't touch 7.4 because it has more problems than this: the configure
probe for Python fails.

Tags:
----
REL8_0_STABLE

Modified Files:
--------------
    pgsql/src/pl/plpython:
        plpython.c (r1.58.4.7 -> r1.58.4.8)
        (http://anoncvs.postgresql.org/cvsweb.cgi/pgsql/src/pl/plpython/plpython.c?r1=1.58.4.7&r2=1.58.4.8)
        plpython_function.sql (r1.6.8.1 -> r1.6.8.2)
        (http://anoncvs.postgresql.org/cvsweb.cgi/pgsql/src/pl/plpython/plpython_function.sql?r1=1.6.8.1&r2=1.6.8.2)

pgsql-committers by date

Next:From: User JbcooleyDate: 2008-07-29 01:35:57
Subject: npgsql - Npgsql2: Bug 1010440 - Check for correct type when getting
Previous:From: Tom LaneDate: 2008-07-28 18:45:05
Subject: pgsql: Update 8.1 and 8.0 plpython to work with Python 2.5.

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group